Mail::Box::IMAP4::Head(3pm)

NAME
Mail::Box::IMAP4::Head - header fields related IMAP interface

INHERITANCE
 Mail::Box::IMAP4::Head
   is a Mail::Message::Head
   is a Mail::Reporter

SYNOPSIS

DESCRIPTION
This class implements a pure IMAP4 protocol interface, where as little data is retrieved from the header as possible. This may look nice to you, but is not sufficient for many tasks. For instance, you cannot removed or modify fields this way.

Change Mail::Box::IMAP4::new(cache_head) to "YES" or "DELAY", to get a message header which is capable of performing all possible games with headers. On the other hand: the other settings are not 100% safe...

Extends "DESCRIPTION" in Mail::Message::Head.

OVERLOADED
Extends "OVERLOADED" in Mail::Message::Head.

overload: "" stringifaction
    Inherited, see "OVERLOADED" in Mail::Message::Head

overload: bool true/false
    Inherited, see "OVERLOADED" in Mail::Message::Head

METHODS
Extends "METHODS" in Mail::Message::Head.

  Constructors
Extends "Constructors" in Mail::Message::Head.

$class->build( [PAIR|$field]-LIST )
    Inherited, see "Constructors" in Mail::Message::Head

$class->new(%options)
    Inherited, see "Constructors" in Mail::Message::Head

     -Option      --Defined in         --Default
      cache_fields                       false
      field_type    Mail::Message::Head  Mail::Message::Field::Fast
      message       Mail::Message::Head  undef
      modified      Mail::Message::Head  false

    cache_fields => BOOLEAN
        This is only a read-cache on fields, because this kind of header does not allow writing of fields. See Mail::Box::IMAP4::new(cache_head), this value is set to "false" for "NO" and "true" for "PARTIAL"..

    field_type => CLASS
    message => $message
    modified => BOOLEAN

  Attributes
Extends "Attributes" in Mail::Message::Head.

  The header
Extends "The header" in Mail::Message::Head.

$obj->isDelayed()
    Inherited, see "The header" in Mail::Message::Head

$obj->isEmpty()
    Inherited, see "The header" in Mail::Message::Head

$obj->isModified()
    Inherited, see "The header" in Mail::Message::Head

$obj->knownNames()
    Inherited, see "The header" in Mail::Message::Head

$obj->message( [$message] )
    Inherited, see "The header" in Mail::Message::Head

$obj->modified( [BOOLEAN] )
    Inherited, see "The header" in Mail::Message::Head

$obj->orderedFields()
    Inherited, see "The header" in Mail::Message::Head

  Access to the header
Extends "Access to the header" in Mail::Message::Head.

$obj->get( $name, [$index] )
    Get the information about the header line $name. Realization will take place. Improves base, see "Access to the header" in Mail::Message::Head

$obj->study( $name, [$index] )
    Inherited, see "Access to the header" in Mail::Message::Head

  About the body
Extends "About the body" in Mail::Message::Head.

$obj->guessBodySize()
    Inherited, see "About the body" in Mail::Message::Head

$obj->isMultipart()
    Inherited, see "About the body" in Mail::Message::Head

  Internals
Extends "Internals" in Mail::Message::Head.

$obj->addNoRealize($field)
    Inherited, see "Internals" in Mail::Message::Head

$obj->addOrderedFields($fields)
    Inherited, see "Internals" in Mail::Message::Head

$obj->fileLocation()
    Inherited, see "Internals" in Mail::Message::Head

$obj->load()
    Inherited, see "Internals" in Mail::Message::Head

$obj->moveLocation($distance)
    Inherited, see "Internals" in Mail::Message::Head

$obj->read($parser)
    Inherited, see "Internals" in Mail::Message::Head

$obj->setNoRealize($field)
    Inherited, see "Internals" in Mail::Message::Head

  Error handling
Extends "Error handling" in Mail::Message::Head.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Head.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DETAILS
Extends "DETAILS" in Mail::Message::Head.

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Box-IMAP4 version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.